const path = require('path')
const file = path.resolve(_flitter.root, 'Units.flitter.js')

exports.up = async ({flap}) => {
    await flap.find_replace_file(file, /\*(?:\n|\s|\*)*(Secondary Flitter Units)(?:.|\n)*?\*\//,
        '%orig\n    \'GraphQL\'       : new (require(\'libflitter/database/GraphQLUnit\'))(),', m => m, false)
}

exports.down = async ({flap}) => {
    await flap.delete_line(file, /['"]GraphQL['"]\s*:/)
}
