const FatalError = require('./FatalError')

/**
 * Error thrown when the Analyzer determines that a Unit's
 * dependency requirements will not be satisfied by the time
 * it is due to start.
 * @extends module:libflitter/errors/FatalError~FatalError
 */
class UnitStaticDependencyError extends FatalError {

}

module.exports = exports = UnitStaticDependencyError
