const path = require('path')

exports.up = async (ctx) => {
    if ( await ctx.flap.exists(path.resolve(_flitter.root, 'app', 'views')) ){
        console.log("Directory \"app/views/\" already exists. Will not move \"views/\" to \"app/views/\".")
    }
    else {
        await ctx.flap.copy(path.resolve(_flitter.root, 'views'), path.resolve(_flitter.root, 'app', 'views'))
        await ctx.flap.delete(path.resolve(_flitter.root, 'views'))
    }
}

exports.down = async (ctx) => {
    if ( await ctx.flap.exists(path.resolve(_flitter.root, 'views')) ){
        console.log("Directory \"views/\" already exists. Will not move \"app/views/\" to \"views/\".")
    }
    else {
        await ctx.flap.copy(path.resolve(_flitter.root, 'app', 'views'), path.resolve(_flitter.root, 'views'))
        await ctx.flap.delete(path.resolve(_flitter.root, 'app', 'views'))
    }
}